# Mapxus map js sdk

## Dependency

maplibre-gl

## Install
```
npm install maplibre-gl @mapxus/mapxus-map-jp
```

## Example
```js
import 'maplibre-gl/dist/maplibre-gl.css';
import maplibregl from 'maplibre-gl';
import * as MapxusMap from '@mapxus/mapxus-map';

const maplibreMap = new maplibregl.Map({
	container: 'map'
});

const map = new MapxusMap.Map({
    map: maplibreMap,
    appId: 'your_appId',
    secret: 'your_secret',
    buildingId: 'building_id', // example: elements_hk_dc005f
});
```

More sample page at [https://map-service.mapxus.co.jp/bssww/initMapByVenue](https://map-service.mapxus.co.jp/bssww/initMapByVenue)

## Documentation

Docs are available at [https://map-service.mapxus.co.jp/dpw/digitalMapWeb](https://map-service.mapxus.co.jp/dpw/digitalMapWeb)

## License

3-Clause BSD
